// Printing data on the screen and get back some feedback

import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  String? collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else if (Platform.isMacOS) {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    } else if (Platform.isLinux) {
      ///
    } else {
      print('Unknown OS');
    }
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((key, option) {
      stdout.writeln('[$key] - ${option.label}');
    });

    stdout.writeln('Enter your choise\n');
    stdout.writeln('>');
  }
}
